Bug 1858237 - Upgraded Satellite has duplicated katello_pools indexes
Summary: Upgraded Satellite has duplicated katello_pools indexes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.8.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: 6.8.0
Assignee: Jonathon Turel
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-17 10:34 UTC by Lukáš Hellebrandt
Modified: 2020-10-27 13:04 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.16.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:04:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 30461 Low Closed Upgraded Satellite has duplicated katello_pools indexes 2020-10-28 17:44:39 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 13:04:41 UTC

Description Lukáš Hellebrandt 2020-07-17 10:34:10 UTC
Description of problem:
I upgraded a Satellite from 6.7.2 to 6.8 snap 9.0 and it has duplicate indexes on katello_pools:

# su - postgres -c "psql -d foreman -c 'SELECT indrelid::regclass AS TableName,array_agg(indexrelid::regclass) AS Indexes FROM pg_index GROUP BY indrelid,indkey HAVING COUNT(*) > 1;;'"
   tablename   |                       indexes                       
---------------+-----------------------------------------------------
 katello_pools | {index_katello_pools_on_cp_id,index_pools_on_cp_id}
(1 row)


How reproducible:
Deterministic

Steps to Reproduce:
1. Upgrade Satellite
2. # su - postgres -c "psql -d foreman -c 'SELECT indrelid::regclass AS TableName,array_agg(indexrelid::regclass) AS Indexes FROM pg_index GROUP BY indrelid,indkey HAVING COUNT(*) > 1;;'"

Actual results:
Duplicate indexes on katello_pools

Expected results:
No duplicate indexes (empty output)

Comment 2 Lukáš Hellebrandt 2020-07-20 14:34:24 UTC
I'm not aware of any.

Comment 3 Jonathon Turel 2020-07-21 14:34:16 UTC
Created redmine issue https://projects.theforeman.org/issues/30461 from this bug

Comment 4 Bryan Kearney 2020-07-23 16:01:38 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30461 has been resolved.

Comment 8 errata-xmlrpc 2020-10-27 13:04:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.